---
updatedAt: 2026-10-01T07:05:17.000Z
agentTools:
  projectIndex: https://docs.nexhealth.com/v2.2.2/llms.txt
---

# View an appointment type

This endpoint returns the appointment type for a specific id under the institution specified by the subdomain parameter, or under a specific location within it when appointment types are location specific; location_id is required in that case, and is also required when requesting sub-resources via include[].

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "NexHealth API v2.2.2 (Deprecated)",
    "description": "> **⚠️ Deprecated.** v2.2.2 is the legacy version of the NexHealth API and is deprecated; new development should target v3.0.0 (also known by its original date-based name v20240412). Our migration guide walks through every breaking change: https://docs.nexhealth.com/v20240412/docs/api-v2-to-v20240412-migration-guide\n\nWelcome to the developer hub and documentation for NexHealth API. This section of guide describes the operations, response parameters, request parameters, and parameter constraints related to User API. The term Operations refer to functions or methods. The operations are included in requests and send to the web server. Each operation performs a different action or a query on database.",
    "termsOfService": "https://www.nexhealth.com/terms-of-service",
    "contact": {
      "name": "NexHealth",
      "email": "info@nexhealth.com"
    },
    "license": {
      "name": "NexHealth License 1.0",
      "url": "https://www.nexhealth.com/privacy"
    },
    "version": "v2"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Appointment Types",
      "description": "Defines booking parameters for services offerred by the practice"
    }
  ],
  "paths": {
    "/appointment_types/{id}": {
      "get": {
        "summary": "View an appointment type",
        "description": "This endpoint returns the appointment type for a specific id under the institution specified by the subdomain parameter, or under a specific location within it when appointment types are location specific; location_id is required in that case, and is also required when requesting sub-resources via include[].",
        "parameters": [
          {
            "in": "header",
            "name": "Nex-Api-Version",
            "description": "The NexHealth API version",
            "required": true,
            "schema": {
              "type": "string",
              "default": "v2"
            }
          },
          {
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "subdomain",
            "description": "Used to scope the request to the specified institution",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "location_id",
            "description": "Id of the associated location,required when appointment types are location specific and when including sub-resources",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "in": "query",
            "name": "include[]",
            "description": "Resources to be included in the response",
            "required": false,
            "explode": true,
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "enum": [
                  "descriptors"
                ]
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_V2_Entities_AppointmentTypeWithResources_Response"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_BadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_Forbidden"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_NotFound"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/vnd.Nexhealth+json;version=2": {
                "schema": {
                  "$ref": "#/components/schemas/API_Errors_InternalServerError"
                }
              }
            }
          }
        },
        "tags": [
          "Appointment Types"
        ],
        "operationId": "getAppointmentTypesId"
      }
    }
  },
  "servers": [
    {
      "url": "https://nexhealth.info"
    }
  ],
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "API_Errors_BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_BadRequest model"
      },
      "API_Errors_Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Unauthorized model"
      },
      "API_Errors_Forbidden": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_Forbidden model"
      },
      "API_Errors_InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_InternalServerError model"
      },
      "API_V2_Entities_AppointmentTypeWithResources": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "description": "Appointment type Id"
          },
          "name": {
            "type": "string",
            "example": "Medical",
            "description": "Appointment type name. Unique string identifier"
          },
          "parent_type": {
            "type": "string",
            "example": "Institution",
            "description": "Parent type for appointment type. Defines the belongs to relationship with either Institution or Location"
          },
          "parent_id": {
            "type": "integer",
            "format": "int32",
            "example": 1,
            "description": "Identifies the specific resource the appointment type belongs to (see parent_type)"
          },
          "minutes": {
            "type": "integer",
            "format": "int32",
            "example": 15,
            "description": "Default duration of appointments of this appointment type"
          },
          "bookable_online": {
            "type": "boolean",
            "example": false,
            "description": "True if this appointment type should be bookable via the NexHealth online booking page"
          },
          "descriptors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/API_V2_Entities_EmrApptDescriptor"
            },
            "description": "EHR descriptors"
          }
        }
      },
      "API_V2_Entities_EmrApptDescriptor": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int32",
            "example": 1822,
            "description": "Descriptor id"
          },
          "descriptor_type": {
            "type": "string",
            "example": "Procedure Code",
            "description": "The type of descriptor"
          },
          "name": {
            "type": "string",
            "example": "EHR Descriptor Name",
            "description": "The name of descriptor"
          },
          "code": {
            "type": "string",
            "example": "EHR Descriptor Code",
            "description": "The code of descriptor"
          },
          "location_id": {
            "type": "integer",
            "format": "int32",
            "example": 13,
            "description": "The location this object belongs to"
          },
          "foreign_id": {
            "type": "string",
            "example": "94",
            "description": "Identifier NexHealth uses to uniquely match this record to its counterpart in the integrated EHR. How it is derived differs between EHRs and may change; treat it as an opaque string and do not parse it."
          },
          "foreign_id_type": {
            "type": "string",
            "example": "msg-dentrix-DataSource-100",
            "description": "Unique identifier for the integrated system itself"
          },
          "data": {
            "type": "object",
            "example": {},
            "description": "The configuration object, structure depends on the underlying EHR"
          },
          "active": {
            "type": "boolean",
            "example": true,
            "description": "Is descriptor active?"
          },
          "last_sync_time": {
            "type": "string",
            "format": "date-time",
            "example": "2021-05-21T16:23:03.046Z",
            "description": "Last Sync time in UTC"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "example": "2021-05-21T16:23:03.046Z",
            "description": "The datetime the descriptor was created in UTC"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "example": "2021-05-21T16:23:03.046Z",
            "description": "The datetime the descriptor was last updated in UTC"
          }
        }
      },
      "API_Errors_NotFound": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "description": "Indicates the success or failure of the request."
          },
          "description": {
            "type": "string",
            "description": "Additional context about the request to help with debugging."
          },
          "data": {
            "type": "object"
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "description": "Any errors that occured during the execution of the request."
          }
        },
        "description": "API_Errors_NotFound model"
      },
      "API_V2_Entities_AppointmentTypeWithResources_Response": {
        "type": "object",
        "properties": {
          "code": {
            "type": "boolean",
            "example": false,
            "description": "Indicates the success or failure of the request"
          },
          "description": {
            "type": "string",
            "example": "Description",
            "description": "Additional context on the request to help with debugging."
          },
          "error": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "Error message"
            ],
            "description": "Any errors that occur during the execution of the request."
          },
          "data": {
            "$ref": "#/components/schemas/API_V2_Entities_AppointmentTypeWithResources"
          },
          "count": {
            "type": "integer",
            "format": "int32",
            "example": 2,
            "description": "Number of total objects, in case of collection."
          }
        },
        "description": "API_V2_Entities_AppointmentTypeWithResources_Response model"
      }
    }
  }
}
```